# DeleteAspect

Delete a single aspect

`DELETE /companies/{companyId}/aspects/{aspectKey}`

**API:** Shared Company Service API
**Tag:** Aspects
**API Version:** 1.2
**Base URL:** https://api.avalara.com/scs

Source: https://developer.avalara.com/products/shared-services/api/methods/Aspects/DeleteAspect/

## Description

Use this endpoint to delete a specific aspect.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/). |
| `X-Correlation-Id` | string | header | No | Use the X-Correlation-ID header to support request correlation through requests. This header should be present on all requests and responses. |
| `avalara-version` | string | header | No | API Version |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Info` |
| 400 | Bad Request | `ErrorInfo` |
| 401 | Unauthorized | `ErrorInfo` |
| 403 | Forbidden | `ErrorInfo` |
| 404 | Not Found | `ErrorInfo` |
| 500 | Internal Server Error | `ErrorInfo` |

### 200 Response: `Info`

Response information for requests

| Property | Type | Required | Description |
|---|---|---|---|
| `title` | string | No | The title for this response Example: `Contact deleted!`. |
| `status` | string | No | The response status Example: `Error`. |
| `detail` | string | No | A detailed response message Example: `Contact with ID Contact1 deleted successfully`. |
| `instance` | string | No | Additional information about the response and instance Example: `more details`. |

## Example Request

```bash
curl -X DELETE "https://api.avalara.com/scs/companies/{companyId}/aspects/{aspectKey}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```